Version:       1.14.18
Summary:       Universal Plug and Play (UPnP) SDK
Name:          libupnp
Release:       1
License:       BSD-3-Clause
URL:           https://github.com/pupnp/pupnp
Source:        %{url}/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: make
BuildRequires: libtool


%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package devel
Summary:       Include files needed for development with libupnp
Requires:      libupnp%{?_isa} = %{version}-%{release}

%description devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%prep
%autosetup -p1 -n pupnp-release-%{version}


%build
autoreconf -vif
%configure \
  --enable-static=no \
  --enable-ipv6

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

%{__rm} %{buildroot}%{_libdir}/{libixml.la,libupnp.la}

%ldconfig_scriptlets

%files
%license COPYING
%doc THANKS
%{_libdir}/libixml.so.11*
%{_libdir}/libupnp.so.17*

%files devel
%{_includedir}/upnp/
%{_libdir}/libixml.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc

%changelog
* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 1.14.18-1
- update to upstream version 1.14.18

* Fri Aug 04 2023 yajun<yajun@kylinos.cn> - 1.14.17-1
- update to upstream version 1.14.17

* Tue Dec 13 2022 lijian <lijian2@kylinos.cn> - 1.14.15-1
- update to upstream version 1.14.15

* Fri Jul 29 2022 liukuo <liukuo@kylinos.cn> - 1.14.12-2
- License compliance rectification

* Thu Jan 13 2022 pei-jiankang <peijiankang@kylinos.cn> - 1.14.12-1
- update to upstream version 1.14.12

* Fri Aug 13 2021 douyan <douyan@kylinos.cn> - 1.14.7-1
- Update to version 1.14.7-1

* Fri Jan 29 2021 lvhan <lvhan@kylinos.cn> - 1.12.1-2
- Update to version 1.12.1-2
- fix CVE-2020-13848

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 1.8.4-1
- Initial release for openEuler
